#pragma once

#include "CoreMinimal.h"
#include "BehaviourIncentiveDataBase.h"
#include "BehaviourIncentiveData_LoudNoise.generated.h"

class AActor;

USTRUCT(BlueprintType)
struct FBehaviourIncentiveData_LoudNoise : public FBehaviourIncentiveDataBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, Transient)
	TWeakObjectPtr<AActor> Instigator;

public:
	DEADBYDAYLIGHT_API FBehaviourIncentiveData_LoudNoise();
};

FORCEINLINE uint32 GetTypeHash(const FBehaviourIncentiveData_LoudNoise) { return 0; }
